#############################################################################
##
#W  finlie                                                       Bettina Eick
##
DBPATH := Filename(DirectoriesPackageLibrary("finlie", "lib")[1], "dbase");
if not IsBound(SLDB2) then SLDB2 := []; fi;
if not IsBound(SLTB2) then SLTB2 := []; fi;
if not IsBound(SLDB3) then SLDB3 := []; fi;
if not IsBound(SLTB3) then SLTB3 := []; fi;

# Solve systems of polynomial equations
ReadPkg("finlie", "gap/basic/solve2.gi");

# general stuff
ReadPkg("finlie", "gap/basic/general.gi"); # general stuff
ReadPkg("finlie", "gap/basic/tables.gi");  # general stuff for tables
ReadPkg("finlie", "gap/basic/basis.gi");   # bases for Lie algebras
ReadPkg("finlie", "gap/basic/quoalg.gi");  # quotient algebras
ReadPkg("finlie", "gap/basic/exams.gi");   # examples
ReadPkg("finlie", "gap/basic/specsr.gi");  # special series
ReadPkg("finlie", "gap/basic/deriv.gi");   # derivations etc.
ReadPkg("finlie", "gap/basic/simfacs.gi"); # simple factors 
ReadPkg("finlie", "gap/basic/tens.gi");    # tensor with field

# cohomology
ReadPkg("finlie", "gap/cohom/onecoh.gi");  # 1-cohomology
ReadPkg("finlie", "gap/cohom/twocoh.gi");  # 2-cohomology
ReadPkg("finlie", "gap/cohom/lieext.gi");  # extensions
ReadPkg("finlie", "gap/cohom/twoext.gi");  # extended 2-cohomology

# automorphisms/isomorphisms deterministic
ReadPkg("finlie", "gap/autos/orbits.gi");  # orbit-stabilizer functions
ReadPkg("finlie", "gap/autos/autiso.gi");  # aut-groups/isom-test
ReadPkg("finlie", "gap/autos/solaut.gi");  # aut-groups of sol lie algs
ReadPkg("finlie", "gap/autos/fitaut.gi");  # aut-groups via nil radical
ReadPkg("finlie", "gap/autos/soliso.gi");  # canonical forms of sol lie algs
ReadPkg("finlie", "gap/autos/deri.gi");    # sandwich-autos
ReadPkg("finlie", "gap/autos/tens.gi");    # autos of tensor-products

# Cartan subalgebras
ReadPkg("finlie", "gap/basic/csa.gi");     # Cartan subalgebras

# known simple Lie algebras
ReadPkg("finlie", "gap/simple/modular.gi"); 
ReadPkg("finlie", "gap/simple/chinese.gi"); 
ReadPkg("finlie", "gap/simple/kaplanski.gi"); 
ReadPkg("finlie", "gap/simple/brown.gi"); 
ReadPkg("finlie", "gap/simple/vaughan.gi"); 
ReadPkg("finlie", "gap/simple/classic.gi"); 
ReadPkg("finlie", "gap/simple/knowns.gi");

# irreducible modules
ReadPkg("finlie", "gap/modules/general.gi");
ReadPkg("finlie", "gap/modules/modules.gi");
ReadPkg("finlie", "gap/modules/universal.gi");
ReadPkg("finlie", "gap/modules/regular.gi");
ReadPkg("finlie", "gap/modules/induced.gi");

# Jordan normal forms and Vaughan-Lees approach
ReadPkg("finlie", "gap/jnfs/jnfs.gi");
ReadPkg("finlie", "gap/jnfs/relv.gi");
#ReadPkg("finlie", "gap/jnfs/cent.gi");
#ReadPkg("finlie", "gap/jnfs/tabs.gi");

# Automorphisms/Isomorphisms random
ReadPkg("finlie", "gap/search/elem.gi");
ReadPkg("finlie", "gap/search/gens.gi");
ReadPkg("finlie", "gap/search/invs.gi");
ReadPkg("finlie", "gap/search/pres.gi");
ReadPkg("finlie", "gap/search/isom.gi");
ReadPkg("finlie", "gap/search/newsearch.gi");

# Weisfeiler filtration
ReadPkg("finlie", "gap/weisf/acts.gi");
ReadPkg("finlie", "gap/weisf/maxi.gi");
ReadPkg("finlie", "gap/weisf/filt.gi");

#############################################################################
# Database
if not IsBound(LIEALG) then LIEALG := false; fi;

ReadPkg("finlie", "lib/dbase2/sltb.gi");
ReadPkg("finlie", "lib/dbase.gi");
Print("reading database ... \n");
ReadDB();

#ReadPkg("finlie", "gap/search/lieg.gi");


